Loading...
Searching...
No Matches
compositenode.hh File Reference
`#include <tuple>`
`#include <memory>`
`#include <type_traits>`
`#include <dune/typetree/nodetags.hh>`
`#include <dune/typetree/childextraction.hh>`
`#include <dune/typetree/typetraits.hh>`

Go to the source code of this file.

## Classes

class | Dune::TypeTree::CompositeNode< Children >
| Base class for composite nodes based on variadic templates. More...
struct | Dune::TypeTree::CompositeNode< Children >::Child< k >
| Access to the type and storage type of the i-th child. More...

## Namespaces

namespace | Dune
namespace | Dune::TypeTree